FROM jboss/keycloak:16.1.0 as base


FROM base as default
ADD CONFIG/Keycloak/realm-dev.json /opt/jboss/keycloak/imports/realm-dev.json
USER root
RUN chown jboss:jboss /opt/jboss/keycloak/imports/realm-dev.json
ENV KEYCLOAK_IMPORT /opt/jboss/keycloak/imports/realm-dev.json
EXPOSE 8080

FROM base as staging
ADD CONFIG/Keycloak/realm-production.json /opt/jboss/keycloak/imports/realm-production.json
USER root
RUN chown jboss:jboss /opt/jboss/keycloak/imports/realm-production.json
ENV KEYCLOAK_IMPORT /opt/jboss/keycloak/imports/realm-production.json

ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloak.pem /etc/x509/https/tls.crt
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloak-key.pem /etc/x509/https/tls.key
USER root
RUN chown jboss:jboss /etc/x509/https/tls.crt /etc/x509/https/tls.key
RUN chmod 600 /etc/x509/https/tls.key
USER jboss
EXPOSE 8443


FROM base as production
ADD CONFIG/Keycloak/realm-production.json /opt/jboss/keycloak/imports/realm-production.json
USER root
RUN chown jboss:jboss /opt/jboss/keycloak/imports/realm-production.json
ENV KEYCLOAK_IMPORT /opt/jboss/keycloak/imports/realm-production.json

ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloak.pem /etc/x509/https/tls.crt
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloak-key.pem /etc/x509/https/tls.key
USER root
RUN chown jboss:jboss /etc/x509/https/tls.crt /etc/x509/https/tls.key
RUN chmod 600 /etc/x509/https/tls.key
USER jboss
EXPOSE 8443



